Atualizar plano de taxa

patchhttps://sandbox-api.rebornpay.io/v1/fee-plans/{planId}Auth obrigatória

Headers

X-Api-Keystringrequired

API Key do seller (header)

Path Parameters

planIdstringrequired

Body

application/json
namestringoptional
anticipationTypeenumoptional
eventualAnticipationFeenumber · doubleoptional
compulsoryAnticipationDaysnumber · int32optional
compulsoryAnticipationMdrnumber · doubleoptional
pixMdrnumber · doubleoptional
pixCeilingFeenumber · doubleoptional
pixMinimumCostFeenumber · doubleoptional
cardPixMdrnumber · doubleoptional
cardPixCeilingFeenumber · doubleoptional
cardPixMinimumCostFeenumber · doubleoptional
bankSlipFixednumberoptional
defaultInstallmentFeesarrayoptional

Nenhum item adicionado.

brandFeesarrayoptional

Nenhum item adicionado.

Responses

200OK
idstring · uuidrequired
namestringrequired
anticipationTypestring · enumrequired
NONEEVENTUALCOMPULSORY
eventualAnticipationFeenumber · doubleoptional
compulsoryAnticipationDaysinteger · int32optional
compulsoryAnticipationMdrnumber · doubleoptional
pixMdrnumber · doublerequired
pixCeilingFeenumber · doubleoptional
pixMinimumCostFeenumber · doubleoptional
cardPixMdrnumber · doubleoptional
cardPixCeilingFeenumber · doubleoptional
cardPixMinimumCostFeenumber · doubleoptional
bankSlipFixednumberoptional
defaultInstallmentFeesarrayrequired
installmentinteger · int32required
mdrnumber · doublerequired
anticipationMdrnumber · doubleoptional
brandFeesarrayrequired
brandstring · enumrequired
VISAMASTERCARDELOAMEXHIPERCARDCABAL
groupIdinteger · int32required
debitMdrnumber · doubleoptional
installmentFeesarrayrequired
installmentinteger · int32required
mdrnumber · doublerequired
anticipationMdrnumber · doubleoptional
createdAtstring · date-timerequired
updatedAtstring · date-timerequired
createdBystringoptional
curl -X PATCH 'https://sandbox-api.rebornpay.io/v1/fee-plans/{planId}' \  -H 'X-Api-Key: $API_KEY' \  -H 'Content-Type: application/json'
200Response example
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "anticipationType": "NONE",
  "eventualAnticipationFee": 1,
  "compulsoryAnticipationDays": 1,
  "compulsoryAnticipationMdr": 1,
  "pixMdr": 1,
  "pixCeilingFee": 1,
  "pixMinimumCostFee": 1,
  "cardPixMdr": 1,
  "cardPixCeilingFee": 1,
  "cardPixMinimumCostFee": 1,
  "bankSlipFixed": 1,
  "defaultInstallmentFees": [
    {
      "installment": 1,
      "mdr": 1,
      "anticipationMdr": 1
    }
  ],
  "brandFees": [
    {
      "brand": "VISA",
      "groupId": 1,
      "debitMdr": 1,
      "installmentFees": [
        {
          "installment": null,
          "mdr": null,
          "anticipationMdr": null
        }
      ]
    }
  ],
  "createdAt": "2025-01-15T10:30:00Z",
  "updatedAt": "2025-01-15T10:30:00Z",
  "createdBy": "string"
}